/*******************************************************************************
 * Copyright (c) 2015 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
/*
 * Some of the code was derived from code supplied by the Apache Software Foundation licensed under the Apache License, Version 2.0.
 */
package com.ibm.ws.transport.iiop.transaction;

import org.omg.CORBA.Any;
import org.omg.CORBA.LocalObject;
import org.omg.CORBA.Policy;
import org.omg.CORBA.PolicyError;
import org.omg.PortableInterceptor.PolicyFactory;

/**
 * @version $Rev: 451417 $ $Date: 2006-09-29 13:13:22 -0700 (Fri, 29 Sep 2006) $
 */
public class ClientTransactionPolicyFactory extends LocalObject implements PolicyFactory {
    public final static int POLICY_TYPE = 0x41534603;

    public Policy create_policy(int type, Any value) throws PolicyError {
        if (type != POLICY_TYPE) {
            throw new PolicyError(org.omg.CORBA.BAD_POLICY.value);
        }
        return new ClientTransactionPolicy(((ClientTransactionPolicyConfig)value.extract_Value()));
    }
}
